Gravv DOCS
Docs Agent Get Started
API Reference View card sensitive details

View card sensitive details

Retrieve encrypted sensitive card details, such as cvv and card_number.

Security Requirements:

  1. Generate RSA key pair (2048-bit minimum).

  2. Base64-encode the PEM-formatted public key, including the -----BEGIN PUBLIC KEY----- and -----END PUBLIC KEY----- markers and the newlines between them.

  3. Send encoded public key in X-Client-Public-Key header.

  4. Server returns cvv and card_number encrypted with your public key.

  5. Decrypt response using your private key.

GET/v1/cards/{card_id}/sensitive-details

Headers

Base64-encoded PEM-formatted RSA public key used to encrypt the response. Encode the entire public.pem file contents, including the -----BEGIN PUBLIC KEY----- and -----END PUBLIC KEY----- markers and the newlines between them.

Path Parameters

The ID of the card to retrieve sensitive details for

Request Body

Request Examples

{}

Responses

Status Description
200 Encrypted card sensitive details retrieved successfully

200 response

Base64 value that holds the AES-GCM encrypted card details and includes integrity protection

Base64 value of the AES key encrypted with the client's public key

Base64 value of the nonce required for AES GCM decryption

{
"data": {
"ciphertext": "IjBkZlJMWUVXMzJ5MjdySzhWQlp1WHM5N1hzZ0szNGFSb1VScTJrbDhyazkzSmUrM0lTTXNiOCs4bmo2MW9LdDYxdkN0d0w1NSI=",
"encrypted_key": "IkUxdXhGa2c3ekpVaUJmWFlhcnVhM0dZRyt1amZJczBpMDJsak85QnIvVjkzSGxvWWxDNk1xaVlyYkNGQnJtTHFkVkwybmlFbkxDemliOUoweWI3RTg5YUFvTEZncmFkNFV0Z2cvV1ZUK29HbGZPZWRJVnREU1ZvSmNWaDMrSExnSUMybnBaTWJkelpualB6b21PcThCcGpNN09yWG1FeHUvd3pHblhpYXIyRT0i",
"nonce": "Img2M29JSVVESTZ2aS90S2si"
},
"error": null
}

Authorization

  • ApiKeyAuth
Was this page helpful?
Assistant
Responses are generated using AI and may contain mistakes.

Ask me anything about the documentation.

ESC